summaryrefslogtreecommitdiff
path: root/sys-apps/udevil
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /sys-apps/udevil
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'sys-apps/udevil')
-rw-r--r--sys-apps/udevil/Manifest1
-rw-r--r--sys-apps/udevil/files/udevil-0.4.3-flags.patch46
-rw-r--r--sys-apps/udevil/files/udevil-0.4.4-include-sysmacros.patch15
-rw-r--r--sys-apps/udevil/files/udevil-0.4.4-stat.patch11
-rw-r--r--sys-apps/udevil/metadata.xml9
-rw-r--r--sys-apps/udevil/udevil-0.4.4-r3.ebuild75
6 files changed, 157 insertions, 0 deletions
diff --git a/sys-apps/udevil/Manifest b/sys-apps/udevil/Manifest
new file mode 100644
index 000000000000..d2414c411593
--- /dev/null
+++ b/sys-apps/udevil/Manifest
@@ -0,0 +1 @@
+DIST udevil-0.4.4.tar.gz 477254 BLAKE2B 16a1980da8b3b98e36921c8e2fe6490c495066178dd928695a07eb8d5d7367cae49e314983f251a1ec684bd16a34286ea4ccc83329c9af0dd71af84c77ced20d SHA512 adce4916e06d1cc4965521abbcbc2901e53930691167f431cb18e28d3ef8bde740e95a6a5f40dfc58dfd7b4b661b4475d3dd2b6174a5d7a55ae7c65629b82327
diff --git a/sys-apps/udevil/files/udevil-0.4.3-flags.patch b/sys-apps/udevil/files/udevil-0.4.3-flags.patch
new file mode 100644
index 000000000000..524cdfff9900
--- /dev/null
+++ b/sys-apps/udevil/files/udevil-0.4.3-flags.patch
@@ -0,0 +1,46 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Sun Oct 21 19:33:04 UTC 2012
+Subject: build system
+
+ respect flags where possible
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -18,26 +18,6 @@
+
+
+ dnl linker optimizations
+-AC_MSG_CHECKING([whether $LD accepts --as-needed])
+-case `$LD --as-needed -v 2>&1 </dev/null` in
+-*GNU* | *'with BFD'*)
+- LDFLAGS="$LDFLAGS -Wl,--as-needed"
+- AC_MSG_RESULT([yes])
+- ;;
+-*)
+- AC_MSG_RESULT([no])
+- ;;
+-esac
+-AC_MSG_CHECKING([whether $LD accepts -O1])
+-case `$LD -O1 -v 2>&1 </dev/null` in
+-*GNU* | *'with BFD'*)
+- LDFLAGS="$LDFLAGS -Wl,-O1"
+- AC_MSG_RESULT([yes])
+- ;;
+-*)
+- AC_MSG_RESULT([no])
+- ;;
+-esac
+ AC_MSG_CHECKING([whether $LD accepts -Bsymbolic-functions])
+ case `$LD -Bsymbolic-functions -v 2>&1 </dev/null` in
+ *GNU* | *'with BFD'*)
+@@ -49,10 +29,6 @@
+ ;;
+ esac
+
+-dnl advanced compiler tweaking
+-CPPFLAGS="$CPPFLAGS -fstrict-aliasing -fmessage-length=0"
+-
+-
+ # program paths
+ AC_ARG_WITH(mount-prog,
+ AC_HELP_STRING([--with-mount-prog=PATH], [Path to mount program (default: /bin/mount)]),
diff --git a/sys-apps/udevil/files/udevil-0.4.4-include-sysmacros.patch b/sys-apps/udevil/files/udevil-0.4.4-include-sysmacros.patch
new file mode 100644
index 000000000000..7adda2893d07
--- /dev/null
+++ b/sys-apps/udevil/files/udevil-0.4.4-include-sysmacros.patch
@@ -0,0 +1,15 @@
+# Include sysmacros.h, solves Gentoo bug 580364
+# Upstream has merged similar changes, should be present
+# in 0.4.5
+--- a/src/udevil.c 2015-05-04 06:34:32.000000000 -0700
++++ b/src/udevil.c 2017-01-02 07:25:14.744273858 -0800
+@@ -33,6 +33,9 @@
+ #include <netdb.h>
+ #include <arpa/inet.h>
+
++// major/minor, dev_t, needed for glibc>=2.25
++#include <sys/sysmacros.h>
++
+ // groups
+ #include <grp.h>
+
diff --git a/sys-apps/udevil/files/udevil-0.4.4-stat.patch b/sys-apps/udevil/files/udevil-0.4.4-stat.patch
new file mode 100644
index 000000000000..427a6f1f670d
--- /dev/null
+++ b/sys-apps/udevil/files/udevil-0.4.4-stat.patch
@@ -0,0 +1,11 @@
+Fixes bug #552072. Thanks Helmut Jarausch.
+--- a/src/device-info.h
++++ b/src/device-info.h
+@@ -14,6 +14,7 @@
+ #include <libudev.h>
+ #include <fcntl.h>
+ #include <errno.h>
++#include <sys/stat.h>
+
+ // intltool
+ #include <glib/gi18n.h>
diff --git a/sys-apps/udevil/metadata.xml b/sys-apps/udevil/metadata.xml
new file mode 100644
index 000000000000..8833cb4d347e
--- /dev/null
+++ b/sys-apps/udevil/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<!-- maintainer-needed -->
+ <upstream>
+ <remote-id type="github">IgnorantGuru/udevil</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/sys-apps/udevil/udevil-0.4.4-r3.ebuild b/sys-apps/udevil/udevil-0.4.4-r3.ebuild
new file mode 100644
index 000000000000..fdae0cfa0d3d
--- /dev/null
+++ b/sys-apps/udevil/udevil-0.4.4-r3.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="mount and unmount removable devices without a password"
+HOMEPAGE="https://ignorantguru.github.com/udevil/"
+SRC_URI="https://github.com/IgnorantGuru/udevil/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="
+ acct-group/plugdev
+ >=app-shells/bash-4.0:*
+ dev-libs/glib:2
+ sys-apps/util-linux
+ virtual/acl
+ >=virtual/udev-143"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+PATCHES=(
+ # This works for 0.4.4 too, no sense copying the patch
+ "${FILESDIR}"/${PN}-0.4.3-flags.patch
+ "${FILESDIR}"/${PN}-0.4.4-stat.patch
+ "${FILESDIR}"/${PN}-0.4.4-include-sysmacros.patch
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --with-setfacl-prog="$(type -P setfacl)" \
+ --enable-systemd
+}
+
+src_install() {
+ default
+ fowners root:plugdev /usr/bin/udevil
+ fperms 4754 /usr/bin/udevil
+}
+
+pkg_postinst() {
+ einfo
+ elog "Please add your user to the plugdev group"
+ elog "to be able to use ${PN} as a user"
+ elog
+ elog "Optional dependencies:"
+ elog " gnome-extra/zenity (devmon popups)"
+ elog " net-fs/davfs2 (mount WebDAV resources)"
+ elog " net-fs/cifs-utils (mounting samba shares)"
+ elog " net-fs/curlftpfs (mounting ftp shares)"
+ elog " net-fs/nfs-utils (mounting nfs shares)"
+ elog " net-fs/sshfs (mounting sftp shares)"
+ elog " virtual/eject (eject via devmon)"
+ if ! has_version 'sys-fs/udisks' ; then
+ elog
+ elog "When using ${PN} without udisks, and without the udisks-daemon running,"
+ elog "you may need to enable kernel polling for device media changes to be detected."
+ elog "See https://ignorantguru.github.com/${PN}/#polling"
+ has_version '<virtual/udev-173' && ewarn "You need at least udev-173"
+ kernel_is lt 2 6 38 && ewarn "You need at least kernel 2.6.38"
+ einfo
+ fi
+}